Analyzing.

Scheduled analysis is going on. Some of the information may be inconsistent. Sorry for the inconvenience.

Jifty

Prerequisites

Jifty declares the following 89 modules as prerequisites.

Listed PrerequisitesRequired VersionLatest DistKwalitee
App::CLI0.08App-CLI-0.313120.00
CGI3.30CGI-4.21125.71
CGI::Cookie::Splitter0CGI-Cookie-Splitter-0.04134.29
CSS::Squish0.07CSS-Squish-0.10131.43
Cache::Cache0Cache-Cache-1.08120.00
Calendar::Simple0Calendar-Simple-1.21134.29
Class::Accessor0Class-Accessor-0.34117.14
Class::Container0Class-Container-0.12128.57
Class::Data::Inheritable0Class-Data-Inheritable-0.08122.86
Class::Inspector1.2Class-Inspector-1.28131.43
Class::Trigger0.13Class-Trigger-0.14131.43
Clone0.27Clone-0.38125.71
Compress::Zlib0IO-Compress-2.068128.57
Crypt::CBC0Crypt-CBC-2.33117.14
Crypt::Rijndael0Crypt-Rijndael-1.13134.29
DBD::SQLite1.11DBD-SQLite-1.48128.57
Data::Page0Data-Page-2.02128.57
Data::UUID0Data-UUID-1.220122.86
Date::Manip0Date-Manip-6.50131.43
DateTime0DateTime-1.20134.29
DateTime::Locale0DateTime-Locale-0.46134.29
Email::Folder0Email-Folder-0.859131.43
Email::LocalDelivery0.217Email-LocalDelivery-1.200131.43
Email::MIME1.861Email-MIME-1.929134.29
Email::MIME::ContentType1.012Email-MIME-ContentType-1.018131.43
Email::MIME::CreateHTML0Email-MIME-CreateHTML-1.041128.57
Email::MIME::Creator1.45Email-MIME-1.929134.29
Email::MIME::Modifier1.442Email-MIME-1.929134.29
Email::Send2.10Email-Send-2.201131.43
Email::Simple2.003Email-Simple-2.206134.29
Email::Simple::Creator1.4Email-Simple-2.206134.29
Exception::Class0Exception-Class-1.39131.43
Exporter::Lite0Exporter-Lite-0.06134.29
File::Find::Rule0File-Find-Rule-0.33117.14
File::MMagic0File-MMagic-1.30125.71
File::ShareDir1.00File-ShareDir-1.102128.57
File::Spec3.14PathTools-3.47122.86
File::Temp0.15File-Temp-0.2304131.43
HTML::Entities0HTML-Parser-3.71128.57
HTML::Lint0HTML-Lint-2.22131.43
HTML::Mason1.3101HTML-Mason-1.56120.00
HTML::Mason::Plugin0HTML-Mason-1.56120.00
HTTP::Cookies0HTTP-Cookies-6.01128.57
HTTP::Date0HTTP-Date-6.02131.43
HTTP::Server::Simple0.35HTTP-Server-Simple-0.50128.57
HTTP::Server::Simple::Recorder0HTTP-Server-Simple-Recorder-0.03131.43
Hash::Merge0Hash-Merge-0.200134.29
Hook::LexWrap0Hook-LexWrap-0.25134.29
IPC::PubSub0.23IPC-PubSub-0.29128.57
IPC::Run30IPC-Run3-0.048128.57
JSON::Syck0.29YAML-Syck-1.29131.43
Jifty::DBI0.57Jifty-DBI-0.78120.00
LWP::UserAgent0libwww-perl-6.13125.71
List::MoreUtils0List-MoreUtils-0.413131.43
Locale::Maketext::Extract0.35Locale-Maketext-Lexicon-1.00131.43
Locale::Maketext::Lexicon0.77Locale-Maketext-Lexicon-1.00131.43
Log::Log4perl1.11Log-Log4perl-1.46117.14
MIME::Types0MIME-Types-2.11128.57
Module::CoreList0Module-CoreList-5.20150620128.57
Module::Pluggable3.7Module-Pluggable-5.1117.14
Module::Pluggable::Object0Module-Pluggable-5.1117.14
Module::Refresh0Module-Refresh-0.17128.57
Module::ScanDeps0Module-ScanDeps-1.19131.43
Object::Declare0.13Object-Declare-0.22131.43
Params::Validate0Params-Validate-1.20134.29
SQL::ReservedWords0SQL-ReservedWords-0.8131.43
SUPER0SUPER-1.20141117131.43
Scalar::Defer0.12Scalar-Defer-0.23134.29
Shell::Command0Shell-Command-0.06128.57
String::BufferStack1.12String-BufferStack-1.16134.29
String::Koremutake0String-Koremutake-0.30131.43
Template::Declare0.36Template-Declare-0.47131.43
Test::Base0Test-Base-0.88131.43
Test::LongString0Test-LongString-0.17120.00
Test::More0.62Test-Simple-1.001014122.86
Test::Pod::Coverage0Test-Pod-Coverage-1.10134.29
Test::WWW::Mechanize1.04Test-WWW-Mechanize-1.44134.29
Test::WWW::Selenium0Test-WWW-Selenium-1.36125.71
UNIVERSAL::require0UNIVERSAL-require-0.18134.29
URI1.31URI-1.68128.57
URI::Escape0URI-1.68128.57
WWW::Mechanize1.51WWW-Mechanize-1.75131.43
XML::Simple0XML-Simple-2.20131.43
XML::Writer0.601XML-Writer-0.625128.57
XML::XPath0XML-XPath-1.13111.43
YAML0.35YAML-1.15125.71
YAML::Syck0.71YAML-Syck-1.29131.43
perl5.8.3perl0.00
version0version-0.9912128.57

Jifty declares the following 1 modules as build prerequisites.

Listed Build PrerequisitesRequired VersionLatest DistKwalitee
ExtUtils::MakeMaker6.42ExtUtils-MakeMaker-7.04131.43

Jifty declares the following 20 modules as optional prerequisites.

Listed Optional PrerequisitesRequired VersionLatest DistKwalitee
Apache2::Const0mod_perl-2.0.9105.714285714286
Class::Accessor::Named0Class-Accessor-Named-0.009131.428571428571
DBD::SQLite0DBD-SQLite-1.48128.571428571429
Data::Dump::Streamer0Data-Dump-Streamer-2.38131.428571428571
Devel::Cover0Devel-Cover-1.18131.428571428571
Email::Abstract0Email-Abstract-3.008128.571428571429
ExtUtils::MakeMaker6.42ExtUtils-MakeMaker-7.04131.428571428571
Module::CoreList0Module-CoreList-5.20150620128.571428571429
Module::Install::Admin0.50Module-Install-1.16128.571428571429
Module::Refresh0.09Module-Refresh-0.17128.571428571429
Net::Server::Fork0Net-Server-2.008114.285714285714
Net::Server::PreFork0Net-Server-2.008114.285714285714
Pod::Simple0Pod-Simple-3.30122.857142857143
Test::Base0.44Test-Base-0.88131.428571428571
Test::Email0Test-Email-0.07120
Test::HTML::Lint0HTML-Lint-2.22131.428571428571
Test::HTTP::Server::Simple0.10Test-HTTP-Server-Simple-0.11125.714285714286
Test::MockModule0.05Test-MockModule-0.10128.571428571429
Test::MockObject1.07Test-MockObject-1.20150527131.428571428571
Test::WWW::Declare0.01Test-WWW-Declare-0.02120